## org.plovr
Class CircularDependencyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.plovr.CompilationException
                  org.plovr.CircularDependencyException

All Implemented Interfaces:
  java.io.Serializable

    public final class CircularDependencyException

extends CompilationException

See Also:
  Serialized Form

Method Summary
`org.plovr.CompilationError` `createCompilationError()`
`java.util.Collection<JsInput>` `getCircularDependency()`
`JsInput` `getInput()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### createCompilationError

    public org.plovr.CompilationError createCompilationError()

  Specified by:
    `createCompilationError` in class `CompilationException`

### getInput

    public JsInput getInput()

### getCircularDependency

    public java.util.Collection<JsInput> getCircularDependency()

  Returns:
    An in-order collection of the dependency path that led to the loop.